Module tdlight.api
Package it.tdlight.jni

# Class TdApi.KeyboardButtonType

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.KeyboardButtonType

Direct Known Subclasses:
  `TdApi.KeyboardButtonTypeRequestChat`, `TdApi.KeyboardButtonTypeRequestLocation`, `TdApi.KeyboardButtonTypeRequestPhoneNumber`, `TdApi.KeyboardButtonTypeRequestPoll`, `TdApi.KeyboardButtonTypeRequestUsers`, `TdApi.KeyboardButtonTypeText`, `TdApi.KeyboardButtonTypeWebApp`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.KeyboardButtonType extends TdApi.Object permits TdApi.KeyboardButtonTypeText, TdApi.KeyboardButtonTypeRequestPhoneNumber, TdApi.KeyboardButtonTypeRequestLocation, TdApi.KeyboardButtonTypeRequestPoll, TdApi.KeyboardButtonTypeRequestUsers, TdApi.KeyboardButtonTypeRequestChat, TdApi.KeyboardButtonTypeWebApp
This class is an abstract base class. Describes a keyboard button type.

## Constructor Summary

Constructors
Constructor
Description
`KeyboardButtonType()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### KeyboardButtonType

public KeyboardButtonType()
Default class constructor.